package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

/**
 * 控制台信息的ManagementConsole部分
 * <p>
 * ManagementConsole
 * </p>
 *
 * @author sxp
 * @since May 4, 2018
 */
public class MC {
    private String xmlns;
    private Metadata metadata;
    private MachineTypeModelAndSerialNumber machineTypeModelAndSerialNumber;
    private ManagedSystems managedSystems;
    private ManagementConsoleName mManagementConsoleName;
    private NetworkInterfaces networkInterfaces;
    private TemplateObjectModelVersion templateObjectModelVersion;
    private UserObjectModelVersion userObjectModelVersion;
    private VersionInfo versionInfo;
    private WebObjectModelVersion webObjectModelVersion;
    private BIOS bIOS;
    private BaseVersion baseVersion;
    private Driver driver;
    private LicenseID licenseID;
    private LicenseFirstYear licenseFirstYear;

    public MC() {
    }

    public String getXmlns() {
        return xmlns;
    }

    public void setXmlns(String xmlns) {
        this.xmlns = xmlns;
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public MachineTypeModelAndSerialNumber getMachineTypeModelAndSerialNumber() {
        return machineTypeModelAndSerialNumber;
    }

    public void setMachineTypeModelAndSerialNumber(MachineTypeModelAndSerialNumber machineTypeModelAndSerialNumber) {
        this.machineTypeModelAndSerialNumber = machineTypeModelAndSerialNumber;
    }

    public ManagedSystems getManagedSystems() {
        return managedSystems;
    }

    public void setManagedSystems(ManagedSystems managedSystems) {
        this.managedSystems = managedSystems;
    }

    public ManagementConsoleName getmManagementConsoleName() {
        return mManagementConsoleName;
    }

    public void setmManagementConsoleName(ManagementConsoleName mManagementConsoleName) {
        this.mManagementConsoleName = mManagementConsoleName;
    }

    public NetworkInterfaces getNetworkInterfaces() {
        return networkInterfaces;
    }

    public void setNetworkInterfaces(NetworkInterfaces networkInterfaces) {
        this.networkInterfaces = networkInterfaces;
    }

    public TemplateObjectModelVersion getTemplateObjectModelVersion() {
        return templateObjectModelVersion;
    }

    public void setTemplateObjectModelVersion(TemplateObjectModelVersion templateObjectModelVersion) {
        this.templateObjectModelVersion = templateObjectModelVersion;
    }

    public UserObjectModelVersion getUserObjectModelVersion() {
        return userObjectModelVersion;
    }

    public void setUserObjectModelVersion(UserObjectModelVersion userObjectModelVersion) {
        this.userObjectModelVersion = userObjectModelVersion;
    }

    public VersionInfo getVersionInfo() {
        return versionInfo;
    }

    public void setVersionInfo(VersionInfo versionInfo) {
        this.versionInfo = versionInfo;
    }

    public WebObjectModelVersion getWebObjectModelVersion() {
        return webObjectModelVersion;
    }

    public void setWebObjectModelVersion(WebObjectModelVersion webObjectModelVersion) {
        this.webObjectModelVersion = webObjectModelVersion;
    }

    public BIOS getbIOS() {
        return bIOS;
    }

    public void setbIOS(BIOS bIOS) {
        this.bIOS = bIOS;
    }

    public BaseVersion getBaseVersion() {
        return baseVersion;
    }

    public void setBaseVersion(BaseVersion baseVersion) {
        this.baseVersion = baseVersion;
    }

    public Driver getDriver() {
        return driver;
    }

    public void setDriver(Driver driver) {
        this.driver = driver;
    }

    public LicenseID getLicenseID() {
        return licenseID;
    }

    public void setLicenseID(LicenseID licenseID) {
        this.licenseID = licenseID;
    }

    public LicenseFirstYear getLicenseFirstYear() {
        return licenseFirstYear;
    }

    public void setLicenseFirstYear(LicenseFirstYear licenseFirstYear) {
        this.licenseFirstYear = licenseFirstYear;
    }

    @Override
    public String toString() {
        return "MC [xmlns=" + xmlns + ", metadata=" + metadata
            + ", machineTypeModelAndSerialNumber=" + machineTypeModelAndSerialNumber + ", managedSystems="
            + managedSystems + ", mManagementConsoleName=" + mManagementConsoleName + ", networkInterfaces="
            + networkInterfaces + ", templateObjectModelVersion=" + templateObjectModelVersion
            + ", userObjectModelVersion=" + userObjectModelVersion + ", versionInfo=" + versionInfo
            + ", webObjectModelVersion=" + webObjectModelVersion + ", bIOS=" + bIOS + ", baseVersion=" + baseVersion
            + ", driver=" + driver + ", licenseID=" + licenseID + ", licenseFirstYear=" + licenseFirstYear + "]";
    }
}
